#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: data-pprint
version: 0.2.4
id: data-pprint-0.2.4-21a3080642e2a63e651a66708f69c34e
key: datap_Iyy7BuC37RKD33WfhS47eS
license: BSD3
maintainer: divipp@gmail.com
stability: beta
synopsis: Prettyprint and compare Data values
description:
    Prettyprint and compare Data values.
    .
    *   Size limit for the output
    .
    *   Time limit for the computation
    .
    *   Escape exceptions
    .
    *   Do not escape unicode characters
    .
    *   Comparison: Highlight the first difference
    .
    *   Comparison: Yes, No or Maybe results
    .
    Probably you need only the '\''pprint'\'' and '\''(===)'\'' functions from the "Data.PPrint" module.
    .
    Usage examples:
    .
    > pprint [1..]
    > pprintTo 10000 $ repeat [1..]
    > pprint $ iterate (*10) 1
    > pprint $ map length $ replicate 5 [1..] ++ repeat []
    > pprint [2 `div` 0, error "xxx", 18, 4 `div` 0]
    > [1..10] === reverse [10,9..1]
    > [1..10] === reverse [10..1]
    > reverse [10..] === [1..]
    > [1..] === [1..99] ++ [101..]
    > ([1..], [1..]) === ([1..], [1..100])
    > (error "x", [1..]) === (0 `div` 0, reverse [1..])
    > error ("xx" ++ show (length [1..])) === 1
    > error ("xx" ++ error "yy") === 1
    > (error $ unlines $ replicate 300 "xxxxxxxxxxxxxxxxxxxxxxxxxxx") === 1
    > pprint ['\''a'\''..]
    > pprint $ "hello" ++ [error "x"] ++ "world!"
    .
    See also <http://pnyf.inf.elte.hu/fp/Show_en.xml>
    .
    Changes since 0.1: Refactoring, proper handling of nested errors
category: Testing, Text
author: Péter Diviánszky
exposed: True
exposed-modules:
    Data.PPrint Data.Data.Eval Data.Data.Compare Data.Data.GenRep
    Data.Data.GenRep.Functions Data.Data.GenRep.Doc
    Control.Exception.Pure System.SimpleTimeout
    System.SimpleTimeout.Limits System.IO.Parallel
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/data-pprint-0.2.4
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/data-pprint-0.2.4
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/data-pprint-0.2.4
hs-libraries: HSdata-pprint-0.2.4-Iyy7BuC37RKD33WfhS47eS
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    deepseq-1.4.1.1-0354326a723a42c7cbc9764ea7e4c5c2
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    parallel-3.2.0.6-8d3b701e5e226adf3c5602966a8a78d7
    pretty-1.1.2.0-b0c90c4562609e57954c7f75231d980f
    time-1.5.0.1-52ad75dcebbd2b7b57831e7da202bac7
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/data-pprint-0.2.4/html/data-pprint.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/data-pprint-0.2.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
